<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Footer social links component class.
 */
class MIDNIGHTTHEME_CMP_FooterSocialLinks extends OW_Component
{
    /**
     * @var array
     */
    protected $socialLinks;

    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();

        $this->socialLinks = MIDNIGHTTHEME_BOL_Service::getInstance()->getVisibleSocialNetworksLinks();
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $this->assign("allLinksHidden", count($this->socialLinks) === 0);
        $this->assign("socialLinks", $this->socialLinks);
    }
}
