<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * testimonials section component class.
 */
class MIDNIGHTTHEME_CMP_HowItWorksSection extends OW_Component
{
    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $imgPath = OW::getPluginManager()->getPlugin("midnighttheme")->getStaticUrl() . "/img";

        $howItWorksList = MIDNIGHTTHEME_BOL_Service::getInstance()->getHowItWorksList();

        $this->assign("howItWorksList", $howItWorksList);
        $this->assign("imgUrl1", "{$imgPath}/how-item1.png");
        $this->assign("imgUrl2", "{$imgPath}/how-item2.png");
        $this->assign("imgUrl3", "{$imgPath}/how-item3.png");
    }
}
