<?php

/**
 * Copyright (c) 2023, Skalfa LLC
 * All rights reserved.
 *
 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.com/
 * and is licensed under Oxwall Store Commercial License.
 *
 * Full text of this license can be found at http://developers.oxwall.com/store/oscl
 */

/**
 * Index app download links component class.
 */
class MIDNIGHTTHEME_CMP_IndexDownloadApps extends MIDNIGHTTHEME_CMP_FooterDownloadApps
{
    /**
     * Constructor.
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * On before render event.
     */
    public function onBeforeRender()
    {
        if (isset($this->appLinks["skadateios"]))
        {
            $this->appLinks["skadateios"]["classPostfix"] = "ios";
        }
        if (isset($this->appLinks["skandroid"]))
        {
            $this->appLinks["skandroid"]["classPostfix"] = "and";
        }
        unset($this->appLinks["pwa"]);

        parent::onBeforeRender();
    }
}
